package org.foo.bar.mysql.service;

/**
 * Service property values for Derby data source factory services.
 */
public class MysqlServiceProperties {

    // Register a service under each of the following driver class names
    public static final String MYSQL_DRIVER_CLASS    = "com.mysql.jdbc.Driver";

    // All Derby DataSourceFactory services will have their
    // DataSourceFactory.OSGI_JDBC_DRIVER_NAME property set to this driver name
    public static final String MYSQL_DRIVER_NAME     = "MySQL";

    // Derby DataSourceFactory service will have its
    // DataSourceFactory.OSGI_JDBC_DRIVER_VERSION property
    // set to the JDBC version it supports
    public static final String JDBC_3_DRIVER_VERSION = "3.0";
    public static final String JDBC_4_DRIVER_VERSION = "4.0";
}
